import { Resolver } from '../';
export declare const address: Resolver<string>;
interface BalanceArgs {
    token: string;
    account: string;
}
interface AllowanceArgs {
    token: string;
    owner: string;
    spender: string;
}
interface FundSpokeArgs {
    address: string;
}
export declare const balance: Resolver<string, BalanceArgs>;
export declare const allowance: Resolver<string, AllowanceArgs>;
export declare const fund: Resolver<string>;
export declare const participation: Resolver<string, FundSpokeArgs>;
export declare const shares: Resolver<string, FundSpokeArgs>;
export {};
